Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5098)
@@ -2576,344 +2568,344 @@
     IF (iflag_rrtm == 0) THEN
       IF (NSW/=2) THEN
-        WRITE(lunout,*) ' ERROR iflag_rrtm=0 and NSW<>2 not possible'
-        CALL abort_physic('conf_phys','choice NSW not valid',1)
+        WRITE(lunout, *) ' ERROR iflag_rrtm=0 and NSW<>2 not possible'
+        CALL abort_physic('conf_phys', 'choice NSW not valid', 1)
       ENDIF
     ELSE IF (iflag_rrtm == 1) THEN
       IF (NSW/=2.AND.NSW/=4.AND.NSW/=6) THEN
-        WRITE(lunout,*) ' ERROR iflag_rrtm=1 and NSW<>2,4,6 not possible'
-        CALL abort_physic('conf_phys','choice NSW not valid',1)
+        WRITE(lunout, *) ' ERROR iflag_rrtm=1 and NSW<>2,4,6 not possible'
+        CALL abort_physic('conf_phys', 'choice NSW not valid', 1)
       ENDIF
-   ELSE IF (iflag_rrtm == 2) THEN
+    ELSE IF (iflag_rrtm == 2) THEN
       IF (NSW/=2.AND.NSW/=4.AND.NSW/=6) THEN
-        WRITE(lunout,*) ' ERROR iflag_rrtm=1 and NSW<>2,4,6 not possible'
-        CALL abort_physic('conf_phys','choice NSW not valid',1)
+        WRITE(lunout, *) ' ERROR iflag_rrtm=1 and NSW<>2,4,6 not possible'
+        CALL abort_physic('conf_phys', 'choice NSW not valid', 1)
       ENDIF
-    ELSE 
-       WRITE(lunout,*) ' ERROR iflag_rrtm<>0,1'
-       CALL abort_physic('conf_phys','choice iflag_rrtm not valid',1)
+    ELSE
+      WRITE(lunout, *) ' ERROR iflag_rrtm<>0,1'
+      CALL abort_physic('conf_phys', 'choice iflag_rrtm not valid', 1)
     ENDIF
     !--here we test that solaire has not been changed if ok_suntime_rrtm is activated
-!    IF (ok_suntime_rrtm.AND.ABS(solaire-solaire_omp_init).GT.1.E-7) THEN 
-!       WRITE(lunout,*) ' ERROR ok_suntime_rrtm=y and solaire is provided in def file'
-!       CALL abort_physic('conf_phys','ok_suntime_rrtm=y and solaire is provided',1)
-!    ENDIF
-#ifdef CPP_StratAer
-    IF (iflag_rrtm .NE. 1) THEN 
-       WRITE(lunout,*) ' ERROR iflag_rrtm<>1 but StratAer activated'
-       CALL abort_physic('conf_phys','iflag_rrtm not valid for StratAer',1)
-    ENDIF
-    IF (NSW .NE. 6) THEN 
-       WRITE(lunout,*) ' ERROR NSW<>6 but StratAer activated'
-       CALL abort_physic('conf_phys','NSW not valid for StratAer',1)
-    ENDIF
-#endif
+    !    IF (ok_suntime_rrtm.AND.ABS(solaire-solaire_omp_init).GT.1.E-7) THEN
+    !       WRITE(lunout,*) ' ERROR ok_suntime_rrtm=y and solaire is provided in def file'
+    !       CALL abort_physic('conf_phys','ok_suntime_rrtm=y and solaire is provided',1)
+    !    ENDIF
+    IF (CPPKEY_STRATAER) THEN
+      IF (iflag_rrtm /= 1) THEN
+        WRITE(lunout, *) ' ERROR iflag_rrtm<>1 but StratAer activated'
+        CALL abort_physic('conf_phys', 'iflag_rrtm not valid for StratAer', 1)
+      ENDIF
+      IF (NSW /= 6) THEN
+        WRITE(lunout, *) ' ERROR NSW<>6 but StratAer activated'
+        CALL abort_physic('conf_phys', 'NSW not valid for StratAer', 1)
+      ENDIF
+    END IF
 
     !--test on ocean surface albedo
     IF (iflag_albedo<0.OR.iflag_albedo>2) THEN
-       WRITE(lunout,*) ' ERROR iflag_albedo<>0,1'
-       CALL abort_physic('conf_phys','choice iflag_albedo not valid',1)
+      WRITE(lunout, *) ' ERROR iflag_albedo<>0,1'
+      CALL abort_physic('conf_phys', 'choice iflag_albedo not valid', 1)
     ENDIF
 
     ! Flag_aerosol cannot be set to zero if aerosol direct effect (ade) or aerosol indirect effect (aie) are activated
-    IF (ok_ade .OR. ok_aie) THEN 
-       IF ( flag_aerosol == 0 ) THEN
-          CALL abort_physic('conf_phys','flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.',1)
-       ENDIF
+    IF (ok_ade .OR. ok_aie) THEN
+      IF (flag_aerosol == 0) THEN
+        CALL abort_physic('conf_phys', 'flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.', 1)
+      ENDIF
     ENDIF
 
     ! Flag_aerosol cannot be set to zero if we are in coupled mode for aerosol
-    IF (aerosol_couple .AND. flag_aerosol == 0 ) THEN
-       CALL abort_physic('conf_phys', 'flag_aerosol cannot be to zero if aerosol_couple=y ', 1)
+    IF (aerosol_couple .AND. flag_aerosol == 0) THEN
+      CALL abort_physic('conf_phys', 'flag_aerosol cannot be to zero if aerosol_couple=y ', 1)
     ENDIF
 
     ! Read_climoz needs to be set zero if we are in couple mode for chemistry 
     IF (chemistry_couple .AND. read_climoz /= 0) THEN
-       CALL abort_physic('conf_phys', 'read_climoz need to be to zero if chemistry_couple=y ', 1) 
+      CALL abort_physic('conf_phys', 'read_climoz need to be to zero if chemistry_couple=y ', 1)
     ENDIF
 
     ! flag_aerosol need to be different to zero if ok_cdnc is activated
     IF (ok_cdnc .AND. flag_aerosol == 0) THEN
-       CALL abort_physic('conf_phys', 'flag_aerosol cannot be to zero if ok_cdnc is activated ', 1)
+      CALL abort_physic('conf_phys', 'flag_aerosol cannot be to zero if ok_cdnc is activated ', 1)
     ENDIF
 
     ! ok_cdnc must be set to y if ok_aie is activated
     IF (ok_aie .AND. .NOT. ok_cdnc) THEN
-       CALL abort_physic('conf_phys', 'ok_cdnc must be set to y if ok_aie is activated',1)
+      CALL abort_physic('conf_phys', 'ok_cdnc must be set to y if ok_aie is activated', 1)
     ENDIF
 
     ! flag_aerosol=7 => MACv2SP climatology 
     IF (flag_aerosol==7.AND. iflag_rrtm/=1) THEN
-       CALL abort_physic('conf_phys', 'flag_aerosol=7 (MACv2SP) can only be activated with RRTM',1)
+      CALL abort_physic('conf_phys', 'flag_aerosol=7 (MACv2SP) can only be activated with RRTM', 1)
     ENDIF
     IF (flag_aerosol==7.AND. NSW/=6) THEN
-       CALL abort_physic('conf_phys', 'flag_aerosol=7 (MACv2SP) can only be activated with NSW=6',1)
+      CALL abort_physic('conf_phys', 'flag_aerosol=7 (MACv2SP) can only be activated with NSW=6', 1)
     ENDIF
 
     ! BC internal mixture is only possible with RRTM & NSW=6 & flag_aerosol=6 or aerosol_couple
     IF (flag_bc_internal_mixture .AND. NSW/=6) THEN
-       CALL abort_physic('conf_phys', 'flag_bc_internal_mixture can only be activated with NSW=6',1)
+      CALL abort_physic('conf_phys', 'flag_bc_internal_mixture can only be activated with NSW=6', 1)
     ENDIF
     IF (flag_bc_internal_mixture .AND. iflag_rrtm/=1) THEN
-       CALL abort_physic('conf_phys', 'flag_bc_internal_mixture can only be activated with RRTM',1)
+      CALL abort_physic('conf_phys', 'flag_bc_internal_mixture can only be activated with RRTM', 1)
     ENDIF
     IF (flag_bc_internal_mixture .AND. flag_aerosol/=6) THEN
-       CALL abort_physic('conf_phys', 'flag_bc_internal_mixture can only be activated with flag_aerosol=6',1)
+      CALL abort_physic('conf_phys', 'flag_bc_internal_mixture can only be activated with flag_aerosol=6', 1)
     ENDIF
 
     ! test sur flag_volc_surfstrat
     IF (flag_volc_surfstrat<0.OR.flag_volc_surfstrat>2) THEN
-       CALL abort_physic('conf_phys', 'flag_volc_surfstrat can only be 0 1 or 2',1)
-    ENDIF 
+      CALL abort_physic('conf_phys', 'flag_volc_surfstrat can only be 0 1 or 2', 1)
+    ENDIF
     IF ((.NOT.ok_volcan.OR..NOT.ok_ade.OR..NOT.ok_aie).AND.flag_volc_surfstrat>0) THEN
-       CALL abort_physic('conf_phys', 'ok_ade, ok_aie, ok_volcan need to be activated if flag_volc_surfstrat is 1 or 2',1)
-    ENDIF 
+      CALL abort_physic('conf_phys', 'ok_ade, ok_aie, ok_volcan need to be activated if flag_volc_surfstrat is 1 or 2', 1)
+    ENDIF
 
     ! Test on carbon cycle
     IF (carbon_cycle_tr .AND. .NOT. carbon_cycle_cpl) THEN
-       CALL abort_physic('conf_phys', 'carbon_cycle_cpl has to be TRUE if carbon_cycle_tr is on',1)
+      CALL abort_physic('conf_phys', 'carbon_cycle_cpl has to be TRUE if carbon_cycle_tr is on', 1)
     ENDIF
     IF (carbon_cycle_rad .AND. .NOT. carbon_cycle_cpl) THEN
-       CALL abort_physic('conf_phys', 'carbon_cycle_cpl has to be TRUE if carbon_cycle_rad is on',1)
+      CALL abort_physic('conf_phys', 'carbon_cycle_cpl has to be TRUE if carbon_cycle_rad is on', 1)
     ENDIF
 
 
     ! Test on chemistry cycle 
-    IF ((type_trac /= "inca" .AND. type_trac /= "inco") .AND. ( dms_cycle_cpl .OR. n2o_cycle_cpl)  ) THEN
-       CALL abort_physic('conf_phys', 'dms_cycle_cpl or n2o_cycle_cpl has to be TRUE only with INCA coupling model',1)
+    IF ((type_trac /= "inca" .AND. type_trac /= "inco") .AND. (dms_cycle_cpl .OR. n2o_cycle_cpl)) THEN
+      CALL abort_physic('conf_phys', 'dms_cycle_cpl or n2o_cycle_cpl has to be TRUE only with INCA coupling model', 1)
     ENDIF
-    
+
     ! ORCHIDEE must be activated for ifl_pbltree=1
     IF (.NOT. ok_veget .AND. ifl_pbltree==1) THEN
-       WRITE(lunout,*)'Warning: ORCHIDEE must be activated for ifl_pbltree=1'
-       WRITE(lunout,*)'ifl_pbltree is now changed to zero'
-       ifl_pbltree=0
+      WRITE(lunout, *)'Warning: ORCHIDEE must be activated for ifl_pbltree=1'
+      WRITE(lunout, *)'ifl_pbltree is now changed to zero'
+      ifl_pbltree = 0
     ENDIF
 
     !$OMP MASTER
 
-    WRITE(lunout,*) ' ##############################################'
-    WRITE(lunout,*) ' Configuration des parametres de la physique: '
-    WRITE(lunout,*) ' Type ocean = ', type_ocean
-    WRITE(lunout,*) ' Version ocean = ', version_ocean
-    WRITE(lunout,*) ' Config veget = ', ok_veget,type_veget
-    WRITE(lunout,*) ' Snow model landice : landice_opt = ', landice_opt
-    WRITE(lunout,*) ' Config xml pour XIOS : ok_all_xml = ', ok_all_xml
-    WRITE(lunout,*) ' Sortie journaliere = ', ok_journe
-    WRITE(lunout,*) ' Sortie haute frequence = ', ok_hf
-    WRITE(lunout,*) ' Sortie mensuelle = ', ok_mensuel
-    WRITE(lunout,*) ' Sortie instantanee = ', ok_instan
-    WRITE(lunout,*) ' Frequence appel simulateur ISCCP, freq_ISCCP =', freq_ISCCP
-    WRITE(lunout,*) ' Frequence appel simulateur ISCCP, ecrit_ISCCP =', ecrit_ISCCP
-    WRITE(lunout,*) ' Frequence appel simulateur COSP, freq_COSP =', freq_COSP
-    WRITE(lunout,*) ' Frequence appel simulateur AIRS, freq_AIRS =', freq_AIRS
-    WRITE(lunout,*) ' Sortie bilan d''energie, ip_ebil_phy =', ip_ebil_phy
-    WRITE(lunout,*) ' Excentricite = ',R_ecc
-    WRITE(lunout,*) ' Equinoxe = ',R_peri
-    WRITE(lunout,*) ' Inclinaison =',R_incl
-    WRITE(lunout,*) ' Constante solaire =',solaire
-    WRITE(lunout,*) ' ok_suntime_rrtm =',ok_suntime_rrtm
-    WRITE(lunout,*) ' co2_ppm =',co2_ppm
-    WRITE(lunout,*) ' co2_ppm0 =',co2_ppm0
-    WRITE(lunout,*) ' RCO2_act = ',RCO2_act
-    WRITE(lunout,*) ' CH4_ppb =',CH4_ppb,' RCH4_act = ',RCH4_act
-    WRITE(lunout,*) ' N2O_ppb =',N2O_ppb,' RN2O_act=  ',RN2O_act
-    WRITE(lunout,*) ' CFC11_ppt=',CFC11_ppt,' RCFC11_act=  ',RCFC11_act
-    WRITE(lunout,*) ' CFC12_ppt=',CFC12_ppt,' RCFC12_act=  ',RCFC12_act
-    WRITE(lunout,*) ' RCO2_per = ',RCO2_per,' RCH4_per = ', RCH4_per
-    WRITE(lunout,*) ' RN2O_per = ',RN2O_per,' RCFC11_per = ', RCFC11_per
-    WRITE(lunout,*) ' RCFC12_per = ',RCFC12_per
-    WRITE(lunout,*) ' cvl_comp_threshold=', cvl_comp_threshold
-    WRITE(lunout,*) ' cvl_sig2feed=', cvl_sig2feed
-    WRITE(lunout,*) ' cvl_corr=', cvl_corr
-    WRITE(lunout,*) ' ok_lic_melt=', ok_lic_melt
-    WRITE(lunout,*) ' ok_lic_cond=', ok_lic_cond
-    WRITE(lunout,*) ' iflag_cycle_diurne=',iflag_cycle_diurne
-    WRITE(lunout,*) ' soil_model=',soil_model
-    WRITE(lunout,*) ' new_oliq=',new_oliq
-    WRITE(lunout,*) ' ok_orodr=',ok_orodr
-    WRITE(lunout,*) ' ok_orolf=',ok_orolf
-    WRITE(lunout,*) ' zrel_oro_t=',zrel_oro_t
-    WRITE(lunout,*) ' zstd_orodr_t=',zstd_orodr_t
-    WRITE(lunout,*) ' zpmm_orodr_t=',zpmm_orodr_t
-    WRITE(lunout,*) ' zpmm_orolf_t=',zpmm_orolf_t
-    WRITE(lunout,*) ' ok_limitvrai=',ok_limitvrai
-    WRITE(lunout,*) ' nbapp_rad=',nbapp_rad
-    WRITE(lunout,*) ' iflag_con=',iflag_con
-    WRITE(lunout,*) ' nbapp_cv=',nbapp_cv
-    WRITE(lunout,*) ' nbapp_wk=',nbapp_wk
-    WRITE(lunout,*) ' iflag_ener_conserv=',iflag_ener_conserv
-    WRITE(lunout,*) ' ok_conserv_q=',ok_conserv_q
-    WRITE(lunout,*) ' epmax = ', epmax
-    WRITE(lunout,*) ' coef_epmax_cape = ', coef_epmax_cape
-    WRITE(lunout,*) ' ok_adj_ema = ', ok_adj_ema
-    WRITE(lunout,*) ' iflag_clw = ', iflag_clw
-    WRITE(lunout,*) ' iflag_cld_th = ', iflag_cld_th
-    WRITE(lunout,*) ' iflag_cld_cv = ', iflag_cld_cv
-    WRITE(lunout,*) ' tau_cld_cv = ', tau_cld_cv
-    WRITE(lunout,*) ' coefw_cld_cv = ', coefw_cld_cv
-    WRITE(lunout,*) ' iflag_radia = ', iflag_radia
-    WRITE(lunout,*) ' iflag_rrtm = ', iflag_rrtm
-    WRITE(lunout,*) ' NSW = ', NSW
-    WRITE(lunout,*) ' iflag_albedo = ', iflag_albedo !albedo SB
-    WRITE(lunout,*) ' ok_chlorophyll =',ok_chlorophyll ! albedo SB
-    WRITE(lunout,*) ' iflag_ratqs = ', iflag_ratqs
-    WRITE(lunout,*) ' seuil_inversion = ', seuil_inversion
-    WRITE(lunout,*) ' fact_cldcon = ', fact_cldcon
-    WRITE(lunout,*) ' facttemps = ', facttemps
-    WRITE(lunout,*) ' ok_newmicro = ',ok_newmicro 
-    WRITE(lunout,*) ' ratqsbas = ',ratqsbas 
-    WRITE(lunout,*) ' ratqshaut = ',ratqshaut 
-    WRITE(lunout,*) ' tau_ratqs = ',tau_ratqs 
-    WRITE(lunout,*) ' top_height = ',top_height 
-    WRITE(lunout,*) ' rad_froid = ',rad_froid
-    WRITE(lunout,*) ' rad_chau1 = ',rad_chau1
-    WRITE(lunout,*) ' rad_chau2 = ',rad_chau2
-    WRITE(lunout,*) ' iflag_ice_thermo = ',iflag_ice_thermo
-    WRITE(lunout,*) ' ok_ice_sursat = ',ok_ice_sursat
-    WRITE(lunout,*) ' ok_plane_h2o = ',ok_plane_h2o
-    WRITE(lunout,*) ' ok_plane_contrail = ',ok_plane_contrail
-    WRITE(lunout,*) ' overlap = ',overlap 
-    WRITE(lunout,*) ' cdmmax = ',cdmmax 
-    WRITE(lunout,*) ' cdhmax = ',cdhmax 
-    WRITE(lunout,*) ' ksta = ',ksta 
-    WRITE(lunout,*) ' ksta_ter = ',ksta_ter 
-    WRITE(lunout,*) ' f_ri_cd_min = ',f_ri_cd_min 
-    WRITE(lunout,*) ' ok_kzmin = ',ok_kzmin 
-    WRITE(lunout,*) ' fmagic = ',fmagic
-    WRITE(lunout,*) ' pmagic = ',pmagic
-    WRITE(lunout,*) ' ok_ade = ',ok_ade
-    WRITE(lunout,*) ' ok_volcan = ',ok_volcan
-    WRITE(lunout,*) ' flag_volc_surfstrat = ',flag_volc_surfstrat
-    WRITE(lunout,*) ' ok_aie = ',ok_aie
-    WRITE(lunout,*) ' ok_alw = ',ok_alw
-    WRITE(lunout,*) ' aerosol_couple = ', aerosol_couple
-    WRITE(lunout,*) ' chemistry_couple = ', chemistry_couple
-    WRITE(lunout,*) ' flag_aerosol = ', flag_aerosol
-    WRITE(lunout,*) ' flag_aerosol_strat= ', flag_aerosol_strat
-    WRITE(lunout,*) ' flag_aer_feedback= ', flag_aer_feedback
-    WRITE(lunout,*) ' aer_type = ',aer_type
-    WRITE(lunout,*) ' bl95_b0 = ',bl95_b0
-    WRITE(lunout,*) ' bl95_b1 = ',bl95_b1
-    WRITE(lunout,*) ' lev_histhf = ',lev_histhf 
-    WRITE(lunout,*) ' lev_histday = ',lev_histday 
-    WRITE(lunout,*) ' lev_histmth = ',lev_histmth 
-    WRITE(lunout,*) ' lev_histins = ',lev_histins
-    WRITE(lunout,*) ' lev_histLES = ',lev_histLES
-    WRITE(lunout,*) ' lev_histdayNMC = ',lev_histdayNMC
-    WRITE(lunout,*) ' levout_histNMC = ',levout_histNMC
-    WRITE(lunout,*) ' ok_histNMC = ',ok_histNMC
-    WRITE(lunout,*) ' freq_outNMC = ',freq_outNMC
-    WRITE(lunout,*) ' freq_calNMC = ',freq_calNMC
-    WRITE(lunout,*) ' iflag_pbl = ', iflag_pbl
-    WRITE(lunout,*) ' iflag_physiq = ', iflag_physiq
-!FC
-    WRITE(lunout,*) ' ifl_pbltree = ', ifl_pbltree
-    WRITE(lunout,*) ' Cd_frein = ', Cd_frein
-    WRITE(lunout,*) ' iflag_pbl_split = ', iflag_pbl_split
-    WRITE(lunout,*) ' iflag_order2_sollw = ', iflag_order2_sollw
-    WRITE(lunout,*) ' iflag_thermals = ', iflag_thermals
-    WRITE(lunout,*) ' iflag_clos = ', iflag_clos
-    WRITE(lunout,*) ' coef_clos_ls = ', coef_clos_ls
-    WRITE(lunout,*) ' type_run = ',type_run 
-    WRITE(lunout,*) ' ok_cosp = ',ok_cosp
-    WRITE(lunout,*) ' ok_airs = ',ok_airs
-
-    WRITE(lunout,*) ' ok_mensuelCOSP = ',ok_mensuelCOSP
-    WRITE(lunout,*) ' ok_journeCOSP = ',ok_journeCOSP
-    WRITE(lunout,*) ' ok_hfCOSP =',ok_hfCOSP
-    WRITE(lunout,*) ' solarlong0 = ', solarlong0
-    WRITE(lunout,*) ' qsol0 = ', qsol0
-    WRITE(lunout,*) ' evap0 = ', evap0
-    WRITE(lunout,*) ' albsno0 = ', albsno0
-    WRITE(lunout,*) ' iflag_sic = ', iflag_sic
-    WRITE(lunout,*) ' iflag_inertie = ', iflag_inertie
-    WRITE(lunout,*) ' inertie_sol = ', inertie_sol
-    WRITE(lunout,*) ' inertie_sic = ', inertie_sic
-    WRITE(lunout,*) ' inertie_lic = ', inertie_lic
-    WRITE(lunout,*) ' inertie_sno = ', inertie_sno
-    WRITE(lunout,*) ' ok_bs = ', ok_bs
-    WRITE(lunout,*) ' ok_rad_bs = ', ok_rad_bs
-    WRITE(lunout,*) ' f_cdrag_ter = ',f_cdrag_ter
-    WRITE(lunout,*) ' f_cdrag_oce = ',f_cdrag_oce
-    WRITE(lunout,*) ' f_rugoro = ',f_rugoro
-    WRITE(lunout,*) ' z0min = ',z0min
-    WRITE(lunout,*) ' supcrit1 = ', supcrit1
-    WRITE(lunout,*) ' supcrit2 = ', supcrit2
-    WRITE(lunout,*) ' iflag_mix = ', iflag_mix
-    WRITE(lunout,*) ' iflag_mix_adiab = ', iflag_mix_adiab
-    WRITE(lunout,*) ' scut = ', scut
-    WRITE(lunout,*) ' qqa1 = ', qqa1
-    WRITE(lunout,*) ' qqa2 = ', qqa2
-    WRITE(lunout,*) ' gammas = ', gammas
-    WRITE(lunout,*) ' Fmax = ', Fmax
-    WRITE(lunout,*) ' tmax_fonte_cv = ', tmax_fonte_cv
-    WRITE(lunout,*) ' alphas = ', alphas
-    WRITE(lunout,*) ' iflag_wake = ', iflag_wake
-    WRITE(lunout,*) ' alp_offset = ', alp_offset
+    WRITE(lunout, *) ' ##############################################'
+    WRITE(lunout, *) ' Configuration des parametres de la physique: '
+    WRITE(lunout, *) ' Type ocean = ', type_ocean
+    WRITE(lunout, *) ' Version ocean = ', version_ocean
+    WRITE(lunout, *) ' Config veget = ', ok_veget, type_veget
+    WRITE(lunout, *) ' Snow model landice : landice_opt = ', landice_opt
+    WRITE(lunout, *) ' Config xml pour XIOS : ok_all_xml = ', ok_all_xml
+    WRITE(lunout, *) ' Sortie journaliere = ', ok_journe
+    WRITE(lunout, *) ' Sortie haute frequence = ', ok_hf
+    WRITE(lunout, *) ' Sortie mensuelle = ', ok_mensuel
+    WRITE(lunout, *) ' Sortie instantanee = ', ok_instan
+    WRITE(lunout, *) ' Frequence appel simulateur ISCCP, freq_ISCCP =', freq_ISCCP
+    WRITE(lunout, *) ' Frequence appel simulateur ISCCP, ecrit_ISCCP =', ecrit_ISCCP
+    WRITE(lunout, *) ' Frequence appel simulateur COSP, freq_COSP =', freq_COSP
+    WRITE(lunout, *) ' Frequence appel simulateur AIRS, freq_AIRS =', freq_AIRS
+    WRITE(lunout, *) ' Sortie bilan d''energie, ip_ebil_phy =', ip_ebil_phy
+    WRITE(lunout, *) ' Excentricite = ', R_ecc
+    WRITE(lunout, *) ' Equinoxe = ', R_peri
+    WRITE(lunout, *) ' Inclinaison =', R_incl
+    WRITE(lunout, *) ' Constante solaire =', solaire
+    WRITE(lunout, *) ' ok_suntime_rrtm =', ok_suntime_rrtm
+    WRITE(lunout, *) ' co2_ppm =', co2_ppm
+    WRITE(lunout, *) ' co2_ppm0 =', co2_ppm0
+    WRITE(lunout, *) ' RCO2_act = ', RCO2_act
+    WRITE(lunout, *) ' CH4_ppb =', CH4_ppb, ' RCH4_act = ', RCH4_act
+    WRITE(lunout, *) ' N2O_ppb =', N2O_ppb, ' RN2O_act=  ', RN2O_act
+    WRITE(lunout, *) ' CFC11_ppt=', CFC11_ppt, ' RCFC11_act=  ', RCFC11_act
+    WRITE(lunout, *) ' CFC12_ppt=', CFC12_ppt, ' RCFC12_act=  ', RCFC12_act
+    WRITE(lunout, *) ' RCO2_per = ', RCO2_per, ' RCH4_per = ', RCH4_per
+    WRITE(lunout, *) ' RN2O_per = ', RN2O_per, ' RCFC11_per = ', RCFC11_per
+    WRITE(lunout, *) ' RCFC12_per = ', RCFC12_per
+    WRITE(lunout, *) ' cvl_comp_threshold=', cvl_comp_threshold
+    WRITE(lunout, *) ' cvl_sig2feed=', cvl_sig2feed
+    WRITE(lunout, *) ' cvl_corr=', cvl_corr
+    WRITE(lunout, *) ' ok_lic_melt=', ok_lic_melt
+    WRITE(lunout, *) ' ok_lic_cond=', ok_lic_cond
+    WRITE(lunout, *) ' iflag_cycle_diurne=', iflag_cycle_diurne
+    WRITE(lunout, *) ' soil_model=', soil_model
+    WRITE(lunout, *) ' new_oliq=', new_oliq
+    WRITE(lunout, *) ' ok_orodr=', ok_orodr
+    WRITE(lunout, *) ' ok_orolf=', ok_orolf
+    WRITE(lunout, *) ' zrel_oro_t=', zrel_oro_t
+    WRITE(lunout, *) ' zstd_orodr_t=', zstd_orodr_t
+    WRITE(lunout, *) ' zpmm_orodr_t=', zpmm_orodr_t
+    WRITE(lunout, *) ' zpmm_orolf_t=', zpmm_orolf_t
+    WRITE(lunout, *) ' ok_limitvrai=', ok_limitvrai
+    WRITE(lunout, *) ' nbapp_rad=', nbapp_rad
+    WRITE(lunout, *) ' iflag_con=', iflag_con
+    WRITE(lunout, *) ' nbapp_cv=', nbapp_cv
+    WRITE(lunout, *) ' nbapp_wk=', nbapp_wk
+    WRITE(lunout, *) ' iflag_ener_conserv=', iflag_ener_conserv
+    WRITE(lunout, *) ' ok_conserv_q=', ok_conserv_q
+    WRITE(lunout, *) ' epmax = ', epmax
+    WRITE(lunout, *) ' coef_epmax_cape = ', coef_epmax_cape
+    WRITE(lunout, *) ' ok_adj_ema = ', ok_adj_ema
+    WRITE(lunout, *) ' iflag_clw = ', iflag_clw
+    WRITE(lunout, *) ' iflag_cld_th = ', iflag_cld_th
+    WRITE(lunout, *) ' iflag_cld_cv = ', iflag_cld_cv
+    WRITE(lunout, *) ' tau_cld_cv = ', tau_cld_cv
+    WRITE(lunout, *) ' coefw_cld_cv = ', coefw_cld_cv
+    WRITE(lunout, *) ' iflag_radia = ', iflag_radia
+    WRITE(lunout, *) ' iflag_rrtm = ', iflag_rrtm
+    WRITE(lunout, *) ' NSW = ', NSW
+    WRITE(lunout, *) ' iflag_albedo = ', iflag_albedo !albedo SB
+    WRITE(lunout, *) ' ok_chlorophyll =', ok_chlorophyll ! albedo SB
+    WRITE(lunout, *) ' iflag_ratqs = ', iflag_ratqs
+    WRITE(lunout, *) ' seuil_inversion = ', seuil_inversion
+    WRITE(lunout, *) ' fact_cldcon = ', fact_cldcon
+    WRITE(lunout, *) ' facttemps = ', facttemps
+    WRITE(lunout, *) ' ok_newmicro = ', ok_newmicro
+    WRITE(lunout, *) ' ratqsbas = ', ratqsbas
+    WRITE(lunout, *) ' ratqshaut = ', ratqshaut
+    WRITE(lunout, *) ' tau_ratqs = ', tau_ratqs
+    WRITE(lunout, *) ' top_height = ', top_height
+    WRITE(lunout, *) ' rad_froid = ', rad_froid
+    WRITE(lunout, *) ' rad_chau1 = ', rad_chau1
+    WRITE(lunout, *) ' rad_chau2 = ', rad_chau2
+    WRITE(lunout, *) ' iflag_ice_thermo = ', iflag_ice_thermo
+    WRITE(lunout, *) ' ok_ice_sursat = ', ok_ice_sursat
+    WRITE(lunout, *) ' ok_plane_h2o = ', ok_plane_h2o
+    WRITE(lunout, *) ' ok_plane_contrail = ', ok_plane_contrail
+    WRITE(lunout, *) ' overlap = ', overlap
+    WRITE(lunout, *) ' cdmmax = ', cdmmax
+    WRITE(lunout, *) ' cdhmax = ', cdhmax
+    WRITE(lunout, *) ' ksta = ', ksta
+    WRITE(lunout, *) ' ksta_ter = ', ksta_ter
+    WRITE(lunout, *) ' f_ri_cd_min = ', f_ri_cd_min
+    WRITE(lunout, *) ' ok_kzmin = ', ok_kzmin
+    WRITE(lunout, *) ' fmagic = ', fmagic
+    WRITE(lunout, *) ' pmagic = ', pmagic
+    WRITE(lunout, *) ' ok_ade = ', ok_ade
+    WRITE(lunout, *) ' ok_volcan = ', ok_volcan
+    WRITE(lunout, *) ' flag_volc_surfstrat = ', flag_volc_surfstrat
+    WRITE(lunout, *) ' ok_aie = ', ok_aie
+    WRITE(lunout, *) ' ok_alw = ', ok_alw
+    WRITE(lunout, *) ' aerosol_couple = ', aerosol_couple
+    WRITE(lunout, *) ' chemistry_couple = ', chemistry_couple
+    WRITE(lunout, *) ' flag_aerosol = ', flag_aerosol
+    WRITE(lunout, *) ' flag_aerosol_strat= ', flag_aerosol_strat
+    WRITE(lunout, *) ' flag_aer_feedback= ', flag_aer_feedback
+    WRITE(lunout, *) ' aer_type = ', aer_type
+    WRITE(lunout, *) ' bl95_b0 = ', bl95_b0
+    WRITE(lunout, *) ' bl95_b1 = ', bl95_b1
+    WRITE(lunout, *) ' lev_histhf = ', lev_histhf
+    WRITE(lunout, *) ' lev_histday = ', lev_histday
+    WRITE(lunout, *) ' lev_histmth = ', lev_histmth
+    WRITE(lunout, *) ' lev_histins = ', lev_histins
+    WRITE(lunout, *) ' lev_histLES = ', lev_histLES
+    WRITE(lunout, *) ' lev_histdayNMC = ', lev_histdayNMC
+    WRITE(lunout, *) ' levout_histNMC = ', levout_histNMC
+    WRITE(lunout, *) ' ok_histNMC = ', ok_histNMC
+    WRITE(lunout, *) ' freq_outNMC = ', freq_outNMC
+    WRITE(lunout, *) ' freq_calNMC = ', freq_calNMC
+    WRITE(lunout, *) ' iflag_pbl = ', iflag_pbl
+    WRITE(lunout, *) ' iflag_physiq = ', iflag_physiq
+    !FC
+    WRITE(lunout, *) ' ifl_pbltree = ', ifl_pbltree
+    WRITE(lunout, *) ' Cd_frein = ', Cd_frein
+    WRITE(lunout, *) ' iflag_pbl_split = ', iflag_pbl_split
+    WRITE(lunout, *) ' iflag_order2_sollw = ', iflag_order2_sollw
+    WRITE(lunout, *) ' iflag_thermals = ', iflag_thermals
+    WRITE(lunout, *) ' iflag_clos = ', iflag_clos
+    WRITE(lunout, *) ' coef_clos_ls = ', coef_clos_ls
+    WRITE(lunout, *) ' type_run = ', type_run
+    WRITE(lunout, *) ' ok_cosp = ', ok_cosp
+    WRITE(lunout, *) ' ok_airs = ', ok_airs
+
+    WRITE(lunout, *) ' ok_mensuelCOSP = ', ok_mensuelCOSP
+    WRITE(lunout, *) ' ok_journeCOSP = ', ok_journeCOSP
+    WRITE(lunout, *) ' ok_hfCOSP =', ok_hfCOSP
+    WRITE(lunout, *) ' solarlong0 = ', solarlong0
+    WRITE(lunout, *) ' qsol0 = ', qsol0
+    WRITE(lunout, *) ' evap0 = ', evap0
+    WRITE(lunout, *) ' albsno0 = ', albsno0
+    WRITE(lunout, *) ' iflag_sic = ', iflag_sic
+    WRITE(lunout, *) ' iflag_inertie = ', iflag_inertie
+    WRITE(lunout, *) ' inertie_sol = ', inertie_sol
+    WRITE(lunout, *) ' inertie_sic = ', inertie_sic
+    WRITE(lunout, *) ' inertie_lic = ', inertie_lic
+    WRITE(lunout, *) ' inertie_sno = ', inertie_sno
+    WRITE(lunout, *) ' ok_bs = ', ok_bs
+    WRITE(lunout, *) ' ok_rad_bs = ', ok_rad_bs
+    WRITE(lunout, *) ' f_cdrag_ter = ', f_cdrag_ter
+    WRITE(lunout, *) ' f_cdrag_oce = ', f_cdrag_oce
+    WRITE(lunout, *) ' f_rugoro = ', f_rugoro
+    WRITE(lunout, *) ' z0min = ', z0min
+    WRITE(lunout, *) ' supcrit1 = ', supcrit1
+    WRITE(lunout, *) ' supcrit2 = ', supcrit2
+    WRITE(lunout, *) ' iflag_mix = ', iflag_mix
+    WRITE(lunout, *) ' iflag_mix_adiab = ', iflag_mix_adiab
+    WRITE(lunout, *) ' scut = ', scut
+    WRITE(lunout, *) ' qqa1 = ', qqa1
+    WRITE(lunout, *) ' qqa2 = ', qqa2
+    WRITE(lunout, *) ' gammas = ', gammas
+    WRITE(lunout, *) ' Fmax = ', Fmax
+    WRITE(lunout, *) ' tmax_fonte_cv = ', tmax_fonte_cv
+    WRITE(lunout, *) ' alphas = ', alphas
+    WRITE(lunout, *) ' iflag_wake = ', iflag_wake
+    WRITE(lunout, *) ' alp_offset = ', alp_offset
     ! nrlmd le 10/04/2012
-    WRITE(lunout,*) ' iflag_trig_bl = ', iflag_trig_bl
-    WRITE(lunout,*) ' iflag_strig = ', iflag_strig
-    WRITE(lunout,*) ' s_trig = ', s_trig
-    WRITE(lunout,*) ' h_trig = ', h_trig
-    WRITE(lunout,*) ' tau_trig_shallow = ', tau_trig_shallow
-    WRITE(lunout,*) ' tau_trig_deep = ', tau_trig_deep
-    WRITE(lunout,*) ' iflag_clos_bl = ', iflag_clos_bl
+    WRITE(lunout, *) ' iflag_trig_bl = ', iflag_trig_bl
+    WRITE(lunout, *) ' iflag_strig = ', iflag_strig
+    WRITE(lunout, *) ' s_trig = ', s_trig
+    WRITE(lunout, *) ' h_trig = ', h_trig
+    WRITE(lunout, *) ' tau_trig_shallow = ', tau_trig_shallow
+    WRITE(lunout, *) ' tau_trig_deep = ', tau_trig_deep
+    WRITE(lunout, *) ' iflag_clos_bl = ', iflag_clos_bl
     ! fin nrlmd le 10/04/2012
 
-    WRITE(lunout,*) ' lonmin lonmax latmin latmax bilKP_ins =',&
-         lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
-    WRITE(lunout,*) ' ecrit_ hf, ins, day, mth, reg, tra, ISCCP, LES',&
-         ecrit_hf, ecrit_ins, ecrit_day, ecrit_mth, ecrit_reg, ecrit_tra, ecrit_ISCCP, ecrit_LES
-
-    WRITE(lunout,*) ' ok_strato = ', ok_strato
-    WRITE(lunout,*) ' ok_hines = ',  ok_hines
-    WRITE(lunout,*) ' ok_gwd_rando = ',  ok_gwd_rando
-    WRITE(lunout,*) ' ok_qch4 = ',  ok_qch4
-    WRITE(lunout,*) ' gwd_rando_ruwmax = ', gwd_rando_ruwmax
-    WRITE(lunout,*) ' gwd_rando_sat = ', gwd_rando_sat
-    WRITE(lunout,*) ' gwd_front_ruwmax = ', gwd_front_ruwmax
-    WRITE(lunout,*) ' gwd_front_sat = ', gwd_front_sat
-    WRITE(lunout,*) ' SSO gkdrag =',gkdrag
-    WRITE(lunout,*) ' SSO grahilo=',grahilo
-    WRITE(lunout,*) ' SSO grcrit=',grcrit
-    WRITE(lunout,*) ' SSO gfrcrit=',gfrcrit
-    WRITE(lunout,*) ' SSO gkwake=',gkwake
-    WRITE(lunout,*) ' SSO gklift=',gklift
-    WRITE(lunout,*) ' adjust_tropopause = ', adjust_tropopause
-    WRITE(lunout,*) ' ok_daily_climoz = ',ok_daily_climoz
-    WRITE(lunout,*) ' ok_new_lscp = ', ok_new_lscp
-    WRITE(lunout,*) ' ok_icefra_lscp = ', ok_icefra_lscp
-    WRITE(lunout,*) ' read_climoz = ', read_climoz
-    WRITE(lunout,*) ' carbon_cycle_tr = ', carbon_cycle_tr
-    WRITE(lunout,*) ' carbon_cycle_cpl = ', carbon_cycle_cpl
-    WRITE(lunout,*) ' carbon_cycle_rad = ', carbon_cycle_rad
-    WRITE(lunout,*) ' level_coupling_esm = ', level_coupling_esm
-    WRITE(lunout,*) ' read_fco2_ocean_cor = ', read_fco2_ocean_cor
-    WRITE(lunout,*) ' var_fco2_ocean_cor = ', var_fco2_ocean_cor
-    WRITE(lunout,*) ' read_fco2_land_cor = ', read_fco2_land_cor
-    WRITE(lunout,*) ' var_fco2_land_cor = ', var_fco2_land_cor
-    WRITE(lunout,*) ' dms_cycle_cpl = ', dms_cycle_cpl
-    WRITE(lunout,*) ' n2o_cycle_cpl = ', n2o_cycle_cpl
-    WRITE(lunout,*) ' iflag_tsurf_inlandsis = ', iflag_tsurf_inlandsis
-    WRITE(lunout,*) ' iflag_temp_inlandsis = ', iflag_temp_inlandsis
-    WRITE(lunout,*) ' iflag_albcalc = ', iflag_albcalc
-    WRITE(lunout,*) ' SnoMod = ', SnoMod
-    WRITE(lunout,*) ' BloMod = ', BloMod
-    WRITE(lunout,*) ' ok_outfor = ', ok_outfor
-    WRITE(lunout,*) ' is_ok_slush = ', is_ok_slush
-    WRITE(lunout,*) ' opt_runoff_ac = ', opt_runoff_ac
-    WRITE(lunout,*) ' is_ok_z0h_rn = ', is_ok_z0h_rn
-    WRITE(lunout,*) ' is_ok_density_kotlyakov = ', is_ok_density_kotlyakov
-    WRITE(lunout,*) ' prescribed_z0m_snow = ', prescribed_z0m_snow
-    WRITE(lunout,*) ' iflag_z0m_snow = ', iflag_z0m_snow
-    WRITE(lunout,*) ' ok_zsn_ii = ', ok_zsn_ii
-    WRITE(lunout,*) ' discret_xf = ', discret_xf
-    WRITE(lunout,*) ' correc_alb= ', correc_alb
-    WRITE(lunout,*) ' buf_sph_pol = ', buf_sph_pol
-    WRITE(lunout,*) ' buf_siz_pol= ', buf_siz_pol
+    WRITE(lunout, *) ' lonmin lonmax latmin latmax bilKP_ins =', &
+            lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
+    WRITE(lunout, *) ' ecrit_ hf, ins, day, mth, reg, tra, ISCCP, LES', &
+            ecrit_hf, ecrit_ins, ecrit_day, ecrit_mth, ecrit_reg, ecrit_tra, ecrit_ISCCP, ecrit_LES
+
+    WRITE(lunout, *) ' ok_strato = ', ok_strato
+    WRITE(lunout, *) ' ok_hines = ', ok_hines
+    WRITE(lunout, *) ' ok_gwd_rando = ', ok_gwd_rando
+    WRITE(lunout, *) ' ok_qch4 = ', ok_qch4
+    WRITE(lunout, *) ' gwd_rando_ruwmax = ', gwd_rando_ruwmax
+    WRITE(lunout, *) ' gwd_rando_sat = ', gwd_rando_sat
+    WRITE(lunout, *) ' gwd_front_ruwmax = ', gwd_front_ruwmax
+    WRITE(lunout, *) ' gwd_front_sat = ', gwd_front_sat
+    WRITE(lunout, *) ' SSO gkdrag =', gkdrag
+    WRITE(lunout, *) ' SSO grahilo=', grahilo
+    WRITE(lunout, *) ' SSO grcrit=', grcrit
+    WRITE(lunout, *) ' SSO gfrcrit=', gfrcrit
+    WRITE(lunout, *) ' SSO gkwake=', gkwake
+    WRITE(lunout, *) ' SSO gklift=', gklift
+    WRITE(lunout, *) ' adjust_tropopause = ', adjust_tropopause
+    WRITE(lunout, *) ' ok_daily_climoz = ', ok_daily_climoz
+    WRITE(lunout, *) ' ok_new_lscp = ', ok_new_lscp
+    WRITE(lunout, *) ' ok_icefra_lscp = ', ok_icefra_lscp
+    WRITE(lunout, *) ' read_climoz = ', read_climoz
+    WRITE(lunout, *) ' carbon_cycle_tr = ', carbon_cycle_tr
+    WRITE(lunout, *) ' carbon_cycle_cpl = ', carbon_cycle_cpl
+    WRITE(lunout, *) ' carbon_cycle_rad = ', carbon_cycle_rad
+    WRITE(lunout, *) ' level_coupling_esm = ', level_coupling_esm
+    WRITE(lunout, *) ' read_fco2_ocean_cor = ', read_fco2_ocean_cor
+    WRITE(lunout, *) ' var_fco2_ocean_cor = ', var_fco2_ocean_cor
+    WRITE(lunout, *) ' read_fco2_land_cor = ', read_fco2_land_cor
+    WRITE(lunout, *) ' var_fco2_land_cor = ', var_fco2_land_cor
+    WRITE(lunout, *) ' dms_cycle_cpl = ', dms_cycle_cpl
+    WRITE(lunout, *) ' n2o_cycle_cpl = ', n2o_cycle_cpl
+    WRITE(lunout, *) ' iflag_tsurf_inlandsis = ', iflag_tsurf_inlandsis
+    WRITE(lunout, *) ' iflag_temp_inlandsis = ', iflag_temp_inlandsis
+    WRITE(lunout, *) ' iflag_albcalc = ', iflag_albcalc
+    WRITE(lunout, *) ' SnoMod = ', SnoMod
+    WRITE(lunout, *) ' BloMod = ', BloMod
+    WRITE(lunout, *) ' ok_outfor = ', ok_outfor
+    WRITE(lunout, *) ' is_ok_slush = ', is_ok_slush
+    WRITE(lunout, *) ' opt_runoff_ac = ', opt_runoff_ac
+    WRITE(lunout, *) ' is_ok_z0h_rn = ', is_ok_z0h_rn
+    WRITE(lunout, *) ' is_ok_density_kotlyakov = ', is_ok_density_kotlyakov
+    WRITE(lunout, *) ' prescribed_z0m_snow = ', prescribed_z0m_snow
+    WRITE(lunout, *) ' iflag_z0m_snow = ', iflag_z0m_snow
+    WRITE(lunout, *) ' ok_zsn_ii = ', ok_zsn_ii
+    WRITE(lunout, *) ' discret_xf = ', discret_xf
+    WRITE(lunout, *) ' correc_alb= ', correc_alb
+    WRITE(lunout, *) ' buf_sph_pol = ', buf_sph_pol
+    WRITE(lunout, *) ' buf_siz_pol= ', buf_siz_pol
     !rajout Olivier Torres
-    write(lunout,*) 'choix_bulk = ', choix_bulk
-    write(lunout,*) 'nit_bulk = ', nit_bulk
-    write(lunout,*) 'kz0 = ', kz0
+    write(lunout, *) 'choix_bulk = ', choix_bulk
+    write(lunout, *) 'nit_bulk = ', nit_bulk
+    write(lunout, *) 'kz0 = ', kz0
 
     !$OMP END MASTER
